package issueData;

import java.io.*;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

public class IssueRepository implements Serializable {
    private List<Issue> issues;

    public IssueRepository() {
        this.issues = new ArrayList<>();
        readAllIssues();
    }

    public List<Issue> getIssues() {
        return issues;
    }

    private void readAllIssues() {
        File dir = new File("/home/jack/Documents/testrepo/.issues");

        for (File file : Objects.requireNonNull(dir.listFiles())) {
            if (!file.getName().startsWith(".")) {
                try {
                    FileInputStream fileInputStream = new FileInputStream(file.getPath());
                    ObjectInputStream objectInputStream = new ObjectInputStream(fileInputStream);
                    Issue issue = (Issue) objectInputStream.readObject();
                    objectInputStream.close();
                    issues.add(issue);
                } catch (IOException | ClassNotFoundException e) {
                    e.printStackTrace();
                }
            }
        }

    }


}
